<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>StarterClass.h</h1><a href="StarterClass_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre>00001 <font class="comment">//=============================================================================</font>
00002 <font class="comment">//</font>
00003 <font class="comment">// file :         StarterClass.h</font>
00004 <font class="comment">//</font>
00005 <font class="comment">// description :  Include for the StarterClass root class.</font>
00006 <font class="comment">//                This class is represents the singleton class for</font>
00007 <font class="comment">//                the Starter device class.</font>
00008 <font class="comment">//                It contains all properties and methods which the </font>
00009 <font class="comment">//                Starter requires only once e.g. the commands.</font>
00010 <font class="comment">//                      </font>
00011 <font class="comment">// project :      TANGO Device Server</font>
00012 <font class="comment">//</font>
00013 <font class="comment">// $Author: pascal_verdier $</font>
00014 <font class="comment">//</font>
00015 <font class="comment">// $Revision: 1.2 $</font>
00016 <font class="comment">//</font>
00017 <font class="comment">// $Log: StarterClass_8h-source.html,v $
00017 <font class="comment">// Revision 1.2  2003/12/08 08:53:53  pascal_verdier
00017 <font class="comment">// Cluster (multi-host) control implemented.
00017 <font class="comment">// Control of notify daemon implemented but not tested.
00017 <font class="comment">//</font>
00018 <font class="comment">// Revision 3.0.1.1  2003/09/18 12:02:50  pascal_verdier</font>
00019 <font class="comment">// Problem on Windows service startup fixed.</font>
00020 <font class="comment">//</font>
00021 <font class="comment">// Revision 3.0  2003/06/17 12:06:36  pascal_verdier</font>
00022 <font class="comment">// TANGO 3.x server.</font>
00023 <font class="comment">// polling bugs fixed.</font>
00024 <font class="comment">//</font>
00025 <font class="comment">// Revision 2.0  2003/01/09 13:35:50  verdier</font>
00026 <font class="comment">// TANGO 2.2</font>
00027 <font class="comment">//</font>
00028 <font class="comment">// Revision 1.22  2002/12/18 08:09:19  verdier</font>
00029 <font class="comment">// omniORB compatibility</font>
00030 <font class="comment">//</font>
00031 <font class="comment">// Revision 1.6  2002/10/15 18:55:21  verdier</font>
00032 <font class="comment">// The host state is now calculated during the State polled command.</font>
00033 <font class="comment">//</font>
00034 <font class="comment">// Revision 1.5  2002/02/27 15:19:32  verdier</font>
00035 <font class="comment">// WinNt services implemented.</font>
00036 <font class="comment">//</font>
00037 <font class="comment">// Revision 1.4  2001/04/03 09:40:50  verdier</font>
00038 <font class="comment">// WInNt version is running.</font>
00039 <font class="comment">//</font>
00040 <font class="comment">// Revision 1.3  2001/02/12 09:34:21  verdier</font>
00041 <font class="comment">// SunOS and Linux OK.</font>
00042 <font class="comment">//</font>
00043 <font class="comment">//</font>
00044 <font class="comment">// copyleft :     European Synchrotron Radiation Facility</font>
00045 <font class="comment">//                BP 220, Grenoble 38043</font>
00046 <font class="comment">//                FRANCE</font>
00047 <font class="comment">//</font>
00048 <font class="comment">//=============================================================================</font>
00049 <font class="comment">//</font>
00050 <font class="comment">//              This file is generated by POGO</font>
00051 <font class="comment">//      (Program Obviously used to Generate tango Object)</font>
00052 <font class="comment">//</font>
00053 <font class="comment">//             (c) - Pascal Verdier - ESRF</font>
00054 <font class="comment">//=============================================================================</font>
00055 
00056 <font class="preprocessor">#ifndef _STARTERCLASS_H</font>
00057 <font class="preprocessor"></font><font class="preprocessor">#define _STARTERCLASS_H</font>
00058 <font class="preprocessor"></font>
00059 <font class="preprocessor">#include &lt;tango.h&gt;</font>
00060 
00061 
00062 <font class="keyword">namespace </font>Starter
00063 {
00064 
00065 <font class="comment">//</font>
00066 <font class="comment">// Define classes for commands</font>
00067 <font class="comment">//</font>
<a name="l00068"></a><a class="code" href="classStarter_1_1StartPollingThreadCmd.html">00068</a> <font class="keyword">class </font>StartPollingThreadCmd : <font class="keyword">public</font> Tango::Command
00069 {
00070 <font class="keyword">public</font>:
00071         <a class="code" href="classStarter_1_1StartPollingThreadCmd.html#a0">StartPollingThreadCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00072         <a class="code" href="classStarter_1_1StartPollingThreadCmd.html#a0">StartPollingThreadCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00073"></a><a class="code" href="classStarter_1_1StartPollingThreadCmd.html#a2">00073</a>         <a class="code" href="classStarter_1_1StartPollingThreadCmd.html#a2">~StartPollingThreadCmd</a>() {};
00074         
00075         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1StartPollingThreadCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00076         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1StartPollingThreadCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00077 };
00078 
00079 
<a name="l00080"></a><a class="code" href="classStarter_1_1UpdateServersInfoCmd.html">00080</a> <font class="keyword">class </font>UpdateServersInfoCmd : <font class="keyword">public</font> Tango::Command
00081 {
00082 <font class="keyword">public</font>:
00083         <a class="code" href="classStarter_1_1UpdateServersInfoCmd.html#a0">UpdateServersInfoCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00084         <a class="code" href="classStarter_1_1UpdateServersInfoCmd.html#a0">UpdateServersInfoCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00085"></a><a class="code" href="classStarter_1_1UpdateServersInfoCmd.html#a2">00085</a>         <a class="code" href="classStarter_1_1UpdateServersInfoCmd.html#a2">~UpdateServersInfoCmd</a>() {};
00086         
00087         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1UpdateServersInfoCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00088         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1UpdateServersInfoCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00089 };
00090 
00091 
<a name="l00092"></a><a class="code" href="classStarter_1_1DevReadLogCmd.html">00092</a> <font class="keyword">class </font>DevReadLogCmd : <font class="keyword">public</font> Tango::Command
00093 {
00094 <font class="keyword">public</font>:
00095         <a class="code" href="classStarter_1_1DevReadLogCmd.html#a0">DevReadLogCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00096         <a class="code" href="classStarter_1_1DevReadLogCmd.html#a0">DevReadLogCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00097"></a><a class="code" href="classStarter_1_1DevReadLogCmd.html#a2">00097</a>         <a class="code" href="classStarter_1_1DevReadLogCmd.html#a2">~DevReadLogCmd</a>() {};
00098         
00099         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevReadLogCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00100         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevReadLogCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00101 };
00102 
00103 
<a name="l00104"></a><a class="code" href="classStarter_1_1DevStopCmd.html">00104</a> <font class="keyword">class </font>DevStopCmd : <font class="keyword">public</font> Tango::Command
00105 {
00106 <font class="keyword">public</font>:
00107         <a class="code" href="classStarter_1_1DevStopCmd.html#a0">DevStopCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00108         <a class="code" href="classStarter_1_1DevStopCmd.html#a0">DevStopCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00109"></a><a class="code" href="classStarter_1_1DevStopCmd.html#a2">00109</a>         <a class="code" href="classStarter_1_1DevStopCmd.html#a2">~DevStopCmd</a>() {};
00110         
00111         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevStopCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00112         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevStopCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00113 };
00114 
00115 
<a name="l00116"></a><a class="code" href="classStarter_1_1DevStartCmd.html">00116</a> <font class="keyword">class </font>DevStartCmd : <font class="keyword">public</font> Tango::Command
00117 {
00118 <font class="keyword">public</font>:
00119         <a class="code" href="classStarter_1_1DevStartCmd.html#a0">DevStartCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00120         <a class="code" href="classStarter_1_1DevStartCmd.html#a0">DevStartCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00121"></a><a class="code" href="classStarter_1_1DevStartCmd.html#a2">00121</a>         <a class="code" href="classStarter_1_1DevStartCmd.html#a2">~DevStartCmd</a>() {};
00122         
00123         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevStartCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00124         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevStartCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00125 };
00126 
00127 
<a name="l00128"></a><a class="code" href="classStarter_1_1DevGetStopServersCmd.html">00128</a> <font class="keyword">class </font>DevGetStopServersCmd : <font class="keyword">public</font> Tango::Command
00129 {
00130 <font class="keyword">public</font>:
00131         <a class="code" href="classStarter_1_1DevGetStopServersCmd.html#a0">DevGetStopServersCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00132         <a class="code" href="classStarter_1_1DevGetStopServersCmd.html#a0">DevGetStopServersCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00133"></a><a class="code" href="classStarter_1_1DevGetStopServersCmd.html#a2">00133</a>         <a class="code" href="classStarter_1_1DevGetStopServersCmd.html#a2">~DevGetStopServersCmd</a>() {};
00134         
00135         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevGetStopServersCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00136         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevGetStopServersCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00137 };
00138 
00139 
<a name="l00140"></a><a class="code" href="classStarter_1_1DevGetRunningServersCmd.html">00140</a> <font class="keyword">class </font>DevGetRunningServersCmd : <font class="keyword">public</font> Tango::Command
00141 {
00142 <font class="keyword">public</font>:
00143         <a class="code" href="classStarter_1_1DevGetRunningServersCmd.html#a0">DevGetRunningServersCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00144         <a class="code" href="classStarter_1_1DevGetRunningServersCmd.html#a0">DevGetRunningServersCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00145"></a><a class="code" href="classStarter_1_1DevGetRunningServersCmd.html#a2">00145</a>         <a class="code" href="classStarter_1_1DevGetRunningServersCmd.html#a2">~DevGetRunningServersCmd</a>() {};
00146         
00147         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevGetRunningServersCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00148         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevGetRunningServersCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00149 };
00150 
00151 
<a name="l00152"></a><a class="code" href="classStarter_1_1DevStopAllCmd.html">00152</a> <font class="keyword">class </font>DevStopAllCmd : <font class="keyword">public</font> Tango::Command
00153 {
00154 <font class="keyword">public</font>:
00155         <a class="code" href="classStarter_1_1DevStopAllCmd.html#a0">DevStopAllCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00156         <a class="code" href="classStarter_1_1DevStopAllCmd.html#a0">DevStopAllCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00157"></a><a class="code" href="classStarter_1_1DevStopAllCmd.html#a2">00157</a>         <a class="code" href="classStarter_1_1DevStopAllCmd.html#a2">~DevStopAllCmd</a>() {};
00158         
00159         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevStopAllCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00160         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevStopAllCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00161 };
00162 
00163 
<a name="l00164"></a><a class="code" href="classStarter_1_1DevStartAllCmd.html">00164</a> <font class="keyword">class </font>DevStartAllCmd : <font class="keyword">public</font> Tango::Command
00165 {
00166 <font class="keyword">public</font>:
00167         <a class="code" href="classStarter_1_1DevStartAllCmd.html#a0">DevStartAllCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType,<font class="keyword">const</font> <font class="keywordtype">char</font> *,<font class="keyword">const</font> <font class="keywordtype">char</font> *, Tango::DispLevel);
00168         <a class="code" href="classStarter_1_1DevStartAllCmd.html#a0">DevStartAllCmd</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *,Tango::CmdArgType, Tango::CmdArgType);
<a name="l00169"></a><a class="code" href="classStarter_1_1DevStartAllCmd.html#a2">00169</a>         <a class="code" href="classStarter_1_1DevStartAllCmd.html#a2">~DevStartAllCmd</a>() {};
00170         
00171         <font class="keyword">virtual</font> <font class="keywordtype">bool</font> <a class="code" href="classStarter_1_1DevStartAllCmd.html#a3">is_allowed</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00172         <font class="keyword">virtual</font> CORBA::Any *<a class="code" href="classStarter_1_1DevStartAllCmd.html#a4">execute</a> (Tango::DeviceImpl *, <font class="keyword">const</font> CORBA::Any &amp;);
00173 };
00174 
00175 
00176 
00177 <font class="comment">//</font>
00178 <font class="comment">// The StarterClass singleton definition</font>
00179 <font class="comment">//</font>
00180 
<a name="l00181"></a><a class="code" href="classStarter_1_1StarterClass.html">00181</a> <font class="keyword">class </font>StarterClass : <font class="keyword">public</font> Tango::DeviceClass
00182 {
00183 <font class="keyword">public</font>:
00184 <font class="comment">//      properties member data</font>
<a name="l00188"></a><a class="code" href="classStarter_1_1StarterClass.html#m0">00188</a> <font class="comment"></font>        Tango::DevShort <a class="code" href="classStarter_1_1StarterClass.html#m0">readInfoDbPeriod</a>;
<a name="l00192"></a><a class="code" href="classStarter_1_1StarterClass.html#m1">00192</a>         Tango::DevShort <a class="code" href="classStarter_1_1StarterClass.html#m1">nbStartupLevels</a>;
<a name="l00196"></a><a class="code" href="classStarter_1_1StarterClass.html#m2">00196</a>         Tango::DevLong  <a class="code" href="classStarter_1_1StarterClass.html#m2">cmdPollingTimeout</a>;
00197 
00198 <font class="comment">//      add your own data members here</font>
00199 <font class="comment">//------------------------------------</font>
00200 
00201 <font class="keyword">public</font>:
00202 
00203 <font class="comment">//      Method prototypes</font>
00204         <font class="keyword">static</font> <a class="code" href="classStarter_1_1StarterClass.html#b0">StarterClass</a> *<a class="code" href="classStarter_1_1StarterClass.html#d0">init</a>(<font class="keyword">const</font> <font class="keywordtype">char</font> *);
00205         <font class="keyword">static</font> <a class="code" href="classStarter_1_1StarterClass.html#b0">StarterClass</a> *<a class="code" href="classStarter_1_1StarterClass.html#d1">instance</a>();
00206         <a class="code" href="classStarter_1_1StarterClass.html#a0">~StarterClass</a>();
00207         
00208 <font class="keyword">protected</font>:
00209         <a class="code" href="classStarter_1_1StarterClass.html#b0">StarterClass</a>(string &amp;);
00210         <font class="keyword">static</font> <a class="code" href="classStarter_1_1StarterClass.html#b0">StarterClass</a> *<a class="code" href="classStarter_1_1StarterClass.html#q0">_instance</a>;
00211         <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1StarterClass.html#b1">command_factory</a>();
00212         <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1StarterClass.html#b2">get_class_property</a>();
00213         <font class="keywordtype">void</font> <a class="code" href="classStarter_1_1StarterClass.html#b3">write_class_property</a>();
00214 
00215 <font class="keyword">private</font>:
00216         <font class="keywordtype">void</font> device_factory(<font class="keyword">const</font> Tango::DevVarStringArray *);
00217 };
00218 
00219 
00220 }       <font class="comment">//      namespace Starter</font>
00221 
00222 <font class="preprocessor">#endif // _STARTERCLASS_H</font>
</pre></div><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
